org.keycloak.representations.info

## Class SystemInfoRepresentation

- java.lang.Object
- - org.keycloak.representations.info.SystemInfoRepresentation

-     public class SystemInfoRepresentation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemInfoRepresentation()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemInfoRepresentation` | `create(long serverStartupTime)`
    `String` | `getFileEncoding()`
    `String` | `getJavaHome()`
    `String` | `getJavaRuntime()`
    `String` | `getJavaVendor()`
    `String` | `getJavaVersion()`
    `String` | `getJavaVm()`
    `String` | `getJavaVmVersion()`
    `String` | `getOsArchitecture()`
    `String` | `getOsName()`
    `String` | `getOsVersion()`
    `String` | `getServerTime()`
    `String` | `getUptime()`
    `long` | `getUptimeMillis()`
    `String` | `getUserDir()`
    `String` | `getUserLocale()`
    `String` | `getUserName()`
    `String` | `getUserTimezone()`
    `String` | `getVersion()`
    `void` | `setFileEncoding(String fileEncoding)`
    `void` | `setJavaHome(String javaHome)`
    `void` | `setJavaRuntime(String javaRuntime)`
    `void` | `setJavaVendor(String javaVendor)`
    `void` | `setJavaVersion(String javaVersion)`
    `void` | `setJavaVm(String javaVm)`
    `void` | `setJavaVmVersion(String javaVmVersion)`
    `void` | `setOsArchitecture(String osArchitecture)`
    `void` | `setOsName(String osName)`
    `void` | `setOsVersion(String osVersion)`
    `void` | `setServerTime(String serverTime)`
    `void` | `setUptime(String uptime)`
    `void` | `setUptimeMillis(long uptimeMillis)`
    `void` | `setUserDir(String userDir)`
    `void` | `setUserLocale(String userLocale)`
    `void` | `setUserName(String userName)`
    `void` | `setUserTimezone(String userTimezone)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemInfoRepresentation

          public SystemInfoRepresentation()

  - ### Method Detail

    - #### create

          public static SystemInfoRepresentation create(long serverStartupTime)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getServerTime

          public String getServerTime()

    - #### setServerTime

          public void setServerTime(String serverTime)

    - #### getUptime

          public String getUptime()

    - #### setUptime

          public void setUptime(String uptime)

    - #### getUptimeMillis

          public long getUptimeMillis()

    - #### setUptimeMillis

          public void setUptimeMillis(long uptimeMillis)

    - #### getJavaVersion

          public String getJavaVersion()

    - #### setJavaVersion

          public void setJavaVersion(String javaVersion)

    - #### getJavaVendor

          public String getJavaVendor()

    - #### setJavaVendor

          public void setJavaVendor(String javaVendor)

    - #### getJavaVm

          public String getJavaVm()

    - #### setJavaVm

          public void setJavaVm(String javaVm)

    - #### getJavaVmVersion

          public String getJavaVmVersion()

    - #### setJavaVmVersion

          public void setJavaVmVersion(String javaVmVersion)

    - #### getJavaRuntime

          public String getJavaRuntime()

    - #### setJavaRuntime

          public void setJavaRuntime(String javaRuntime)

    - #### getJavaHome

          public String getJavaHome()

    - #### setJavaHome

          public void setJavaHome(String javaHome)

    - #### getOsName

          public String getOsName()

    - #### setOsName

          public void setOsName(String osName)

    - #### getOsArchitecture

          public String getOsArchitecture()

    - #### setOsArchitecture

          public void setOsArchitecture(String osArchitecture)

    - #### getOsVersion

          public String getOsVersion()

    - #### setOsVersion

          public void setOsVersion(String osVersion)

    - #### getFileEncoding

          public String getFileEncoding()

    - #### setFileEncoding

          public void setFileEncoding(String fileEncoding)

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName(String userName)

    - #### getUserDir

          public String getUserDir()

    - #### setUserDir

          public void setUserDir(String userDir)

    - #### getUserTimezone

          public String getUserTimezone()

    - #### setUserTimezone

          public void setUserTimezone(String userTimezone)

    - #### getUserLocale

          public String getUserLocale()

    - #### setUserLocale

          public void setUserLocale(String userLocale)

Copyright © 2020 JBoss by Red Hat. All rights reserved.